#include <stdio.h>
#include <stdlib.h>
#include <pwd.h>

struct id_s {
  int UID;
  char name;
};

typedef struct id_s id;

int main(int argc, char const* argv[]){
  int x = getpwuid();
  char y = getpwnam();
  id r = {, };
}